%define name	ipplan
%define version	3.02
%define release	1mdk
%define webadminroot /var/www/html/admin

Summary:	IP address management and tracking
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://sourceforge.net/projects/iptrack/
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	webserver php-common php-mysql mod_php ADOdb
BuildArch:	noarch
Prefix:		%{webadminroot}

%description
IPplan is a Web-based, multilingual IP address management and
tracking tool based on PHP which simplifies the administration of
your IP address space. It can handle a single network or multiple
networks with overlapping address spaces. It features
internationalization, importing of network definitions from
routing tables, importing of definitions from TAB-delimited files
and NMAP's XML format, support for multiple administrators with
different access profiles (per group, per customer, per network
etc.), definitions of address space authority boundaries per
group, finding free address space across a range, display of
overlapping address spaces between networks, search capabilities,
an audit log, statistics, and tracking and sending SWIP/registrar
information. 

%prep

%setup -q -n %{name}

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# use external adodb
find . -name "*.php*" | xargs perl -pi -e "s|\"adodb/adodb.inc.php\"|\"%{_libdir}/adodb/adodb.inc.php\"|g"
find . -name "*.php*" | xargs perl -pi -e "s|\"\.\./adodb/adodb.inc.php\"|\"%{_libdir}/adodb/adodb.inc.php\"|g"

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{webadminroot}/%{name}
cp -aRf * %{buildroot}%{webadminroot}/%{name}/

# cleanup
rm -rf %{buildroot}%{webadminroot}/%{name}/adodb
rm -rf %{buildroot}%{webadminroot}/%{name}/contrib
rm -f %{buildroot}%{webadminroot}/%{name}/*.sql
rm -f %{buildroot}%{webadminroot}/%{name}/CHANGELOG
rm -f %{buildroot}%{webadminroot}/%{name}/INSTALL*
rm -f %{buildroot}%{webadminroot}/%{name}/INTERNALS
rm -f %{buildroot}%{webadminroot}/%{name}/LICENSE
rm -f %{buildroot}%{webadminroot}/%{name}/README*
rm -f %{buildroot}%{webadminroot}/%{name}/TODO
rm -f %{buildroot}%{webadminroot}/%{name}/TRANSLATIONS
rm -f %{buildroot}%{webadminroot}/%{name}/UPGRADE

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc contrib CHANGELOG INSTALL INSTALL-POSTGRESQL INTERNALS README README.html
%doc TODO TRANSLATIONS UPGRADE ipplandbf-INNODB.sql ipplandbf-POSTGRESQL.sql ipplandbf.sql
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/config.php
%{webadminroot}/%{name}

%changelog
* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.02-1mdk
- initial cooker contrib
